import { Component } from "@angular/core";

@Component({
  selector: "class-sample",
  template: `<button [ngClass]="buttonClass" (click)="changeStyle()">Click here!</button><br />
            <span [ngClass]="{italic: isItalic}">I switch between italic and normal!!</span>`,
  styles: [`
    button{
      border-radius: 10px;
    }
    
    .first{
      border: 2px violet dashed;
      background-color: aliceblue;
    }
    
    .second {
      border: 1px blue solid;
      background-color: gray;
    }
    
    .italic {
      font-style: italic;
    }
  `]
})
export class ClassSampleComponent {
  buttonClass: string;
  isItalic: boolean;

  constructor() {
    this.buttonClass = "first";
    this.isItalic = false;
  }

  changeStyle() {
    this.buttonClass = this.buttonClass === "first" ? "second" : "first";
    this.isItalic = !this.isItalic;
  }
}
