import {Component} from "@angular/core";

class StyleModel {
  color: string;
  fontFamily: string;
}

@Component({
  selector: 'style-sample',
  template: `<div [ngStyle]="{'color': style.color, 'font-family': style.fontFamily}">This is some text</div>
            <button (click)="changeStyle()">Change Style</button>`
})
export class StyleSampleComponent {
  public style: StyleModel;
  public styles: Array<StyleModel>;
  private index: number;

  constructor() {
    this.index = 0;
    this.styles = [
      {
        color: "#21FC7A",
        fontFamily: "cursive"
      },
      {
        color: "#3E79B5",
        fontFamily: "fantasy"
      },
      {
        color: "#A972D8",
        fontFamily: "sans-serif"
      },
      {
        color: "#5C8A0F",
        fontFamily: "serif"
      },
      {
        color: "#2789AA",
        fontFamily: "monospace"
      }
    ];

    this.style = this.styles[this.index];
  }

  changeStyle() {
    this.index = (this.index + 1) % 5;
    this.style = this.styles[this.index];
  }
}