import { Input, Directive, ElementRef } from '@angular/core';

@Directive({
  selector: '[apply-style]'
})
export class ApplyStyleDirective {
  element: HTMLElement;

  constructor(el: ElementRef) {
    this.element = el.nativeElement;
    this.element.title = 'This title is applied using directive';
    this.element.style.fontWeight = 'bold';
  }

  @Input() set fontStyle(fs: string) {
    this.element.style.fontStyle = fs;
  }
}
