import { Directive, ElementRef, Input } from '@angular/core';

@Directive({
  selector: '[highlightSelected]',
  host: {
    '(click)': 'selected()'
  }
})
export class HighlightSelectedDirective {
  @Input('highlightSelected') color: string;

  private el: HTMLElement;

  constructor(el: ElementRef) {
    this.el = el.nativeElement;
  }

  selected() {
    this.el.style.backgroundColor = this.el.style.backgroundColor ? null : this.color;
  }
}
