import { Directive, TemplateRef, ViewContainerRef, Input } from "@angular/core";

@Directive({ 
  selector: '[showWhenEven]'
})
export class ShowWhenEvenDirective {

  constructor(
    private templateRef: TemplateRef<any>,
    private viewContainer: ViewContainerRef
	) { }

  @Input() set showWhenEven(condition: number) {
    if (condition % 2 == 0) {
      this.viewContainer.createEmbeddedView(this.templateRef);
    } else {
      this.viewContainer.clear();
    }
  }
}