import {Component,OnInit} from '@angular/core';
import { FormGroup,FormControl, FormBuilder } from '@angular/forms';
import {Employee} from './employee.model';
@Component({
    selector: 'emp-data',
    templateUrl: './app/employee.html'
})

export class EmployeeComponent {
    form: FormGroup;
    emp: Employee;
    empNo: FormControl;
    empName: FormControl;
    salary: FormControl;
    deptName: FormControl;
    designation: FormControl;

    employees: Employee[];
    helpLink: string;
    helpText: string;
    frmSubmitted: boolean;
    pattern: RegExp;

    constructor() {
        this.emp = new Employee(0, '', 0, '', '');
        this.employees = [];
        this.helpText = "Tax Rules";
        this.helpLink = "./app/taxhelper.html";
        this.frmSubmitted = false;
        // this.pattern=/06([0-9]{8})/;
        this.pattern = /([0-9])/;
    }

    ngOnInit(){
            this.form = new FormGroup({
            empNo: new FormControl(this.emp.empNo),
            empName: new FormControl(this.emp.empName),
            salary: new FormControl(this.emp.salary),
            deptName: new FormControl(this.emp.deptName),
            designation: new FormControl(this.emp.designation)
        });
    }

     

    clear() {
        this.emp = new Employee(0, '', 0, '', '');
    }
    save() {
        if (this.emp.empName.length > 0 && this.emp.deptName.length > 0) {
            this.employees.push(this.emp);
            this.frmSubmitted = true;
        }
    }
    loadForm() {
        this.emp = new Employee(0, '', 0, '', '');
        this.frmSubmitted = false;
      this.form = new FormGroup({
            empNo: new FormControl(this.emp.empNo),
            empName: new FormControl(this.emp.empName),
            salary: new FormControl(this.emp.salary),
            deptName: new FormControl(this.emp.deptName),
            designation: new FormControl(this.emp.designation)
        });
    }
     
    setDesignation() {
        if (this.emp.salary >= 1000 && this.emp.salary <= 12000) {
            this.emp.designation = "Jr. Programmer";
        }
        if (this.emp.salary > 12000 && this.emp.salary <= 30000) {
            this.emp.designation = "Lead";
        }

        if (this.emp.salary > 30000 && this.emp.salary <= 60000) {
            this.emp.designation = "Group Lead";
        }

        if (this.emp.salary > 60000) {
            this.emp.designation = "Manager";
        }
    }
}
