import { Injectable } from "@angular/core";

export class Book {
	name: string;
	isRead: boolean;
}

@Injectable()
export class BooksService {

	private books: Book[];

	constructor() {
		this.books = [
			{ name: "The Alchemist", isRead: true },
			{ name: "Harry Porter and Philosopher's Stone", isRead: true },
			{ name: "The Passionate Programmer", isRead: false },
			{ name: "All the Light We Cannot See", isRead: false },
			{ name: "The Immortals of Meluha", isRead: true }
		];
	}

	public getBooks(): Promise<Book[]> {
		return Promise.resolve(this.books);
	}

	public addBook(book: Book): Promise<void> {
		this.books.push(book);
		return Promise.resolve();
	}

	public markAsRead(book: Book): Promise<void> {
		for (let b of this.books) {
			if (b.name === book.name) {
				b.isRead = true;
				break;
			}
		}
		return Promise.resolve();
	}

	public deleteBook(book: Book): Promise<void> {
		for (let index = 0; index < this.books.length; index++) {
			if (this.books[index].name === book.name) {
				this.books.splice(index, 1);
				break;
			}
		}
		return Promise.resolve();
	}
}
