import {Component} from "@angular/core";

@Component({
	selector: "app",
	template: `
		Change View: <select (change)="changeView(sel.value)" #sel>
			<option *ngFor="let view of views">{{view}}</option>
		</select>
		<div [ngSwitch]="currentView">
			<div *ngSwitchCase="'Service in Components'"><first></first></div>
			<div *ngSwitchCase="'Child Class for Service'"><child-data></child-data></div>
			<div *ngSwitchCase="'Value for Service'"><value-data></value-data></div>
			<div *ngSwitchCase="'Factory for Service'"><factory-data></factory-data></div>
		</div>`
})
export class AppComponent {
	currentView: string;
	views: string[];

	constructor() {
		this.views = [
			"Service in Components",
			"Child Class for Service",
			"Value for Service",
			"Factory for Service"
		];
		this.currentView = this.views[0];
	}

	changeView(view) {
		this.currentView = view;
	}
}
