import {Component} from "@angular/core";
import {DataService} from "./data.service";
import {ChildDataService} from "./childdata.service";

@Component({
	selector: "child-data",
	providers: [ChildDataService, {provide: DataService, useExisting: ChildDataService}],
	template: `
		<h3>Cities list from Child Data Service</h3>
		<ul>
			<li *ngFor="let city of cities">{{city}}</li>
		</ul>
	`
})
export class ChildDataComponent{
	public cities: string[];

	constructor(private dataSvc: DataService){
		this.cities = dataSvc.cities;
	}
}
