import {Component} from "@angular/core";
import {DataService} from "./data.service";

function dataSvcFactory() {
	var dataSvc = new DataService();
	dataSvc.cities = ["Paris", "London", "Munich", "Rome"];
	return dataSvc;
}

@Component({
	selector: "factory-data",
	providers: [{provide: DataService, useFactory: dataSvcFactory}],
	template: `
		<h3>Cities list from Factory Data Service</h3>
		<ul>
			<li *ngFor="let city of cities">{{city}}</li>
		</ul>
	`
})
export class FactoryDataComponent{
	public cities: string[];

	constructor(private dataSvc: DataService){
		this.cities = dataSvc.cities;
	}
}
