import {Component} from "@angular/core";
import {DataService} from "./data.service";

@Component({
	selector: "first",
	template: `
		<h3>Cities list from First Component</h3>
		<div>
			<ul>
				<li *ngFor="let city of cities">{{city}}</li>
			</ul>
		</div>
		<input type="text" placeholder="Enter city here..." [(ngModel)]="newCity" /> <button class="btn" (click)="addCity()">Add City</button>
		<second></second>`
})
export class FirstComponent{
	public cities: string[];
	public newCity: string;

	constructor(private dataSvc: DataService){
		this.cities = dataSvc.cities;
	}

	addCity(){
		this.dataSvc.addCity(this.newCity);
		this.newCity = "";
	}
}
