import {Component} from "@angular/core";
import {DataService} from "./data.service";

@Component({
	selector: "second",
	template: `
		<h3>Cities list from Second Component</h3>
		<div>
			<ul>
				<li *ngFor="let city of cities">{{city}}</li>
			</ul>
			<input type="text" placeholder="Enter city here..." [(ngModel)]="newCity" /> <button class="btn" (click)="addCity()">Add City</button>
		</div>
	`
})
export class SecondComponent {
	public cities: string[];
	public newCity: string;

	constructor(private dataSvc: DataService) {
		this.cities = dataSvc.cities;
	}

	addCity() {
		this.dataSvc.addCity(this.newCity);
		this.newCity = "";
	}
}
