import {Component} from "@angular/core";
import {DataService} from "./data.service";

var dataSvcValue = {
	cities: ["Sao Paulo", "Rio de Janeiro"],
	addCity(newCity){
		this.cities.push(newCity);
	}
};

@Component({
	selector: "value-data",
	providers: [{provide: DataService, useValue: dataSvcValue}],
	template: `
		<h3>Cities list from Value Data Service</h3>
		<ul>
			<li *ngFor="let city of cities">{{city}}</li>
		</ul>
	`
})
export class ValueDataComponent{
	public cities: string[];

	constructor(private dataSvc: DataService){
		this.cities = dataSvc.cities;
	}
}