import { Component } from "@angular/core";
import {Observable} from "rxjs/Observable";
import {ChattingService} from "./chatting.service";
import {User, ChatMessage} from "./chat.model";
import {users} from "./usersdata";

@Component({
	selector: "app",
	templateUrl: "app/app.component.html",
	styles: [`
		textarea {
			vertical-align: middle;
		}
		.media-object{
			height: 50px;
			width: 50px;
		}
	`]
})
export class AppComponent {
	public messageText: string;
	public messages: ChatMessage[] = [];

	constructor(private chattingService: ChattingService) {
		chattingService.messageNotifierObservable.subscribe((response: ChatMessage) => {
			this.messages.unshift(response);
		});
	}

	public sendMessage() {
		if (this.messageText) {
			let messageToSend: ChatMessage = {
				from: users[0],
				messageText: this.messageText,
				time: new Date()
			};
			this.messages.unshift(messageToSend);
			this.chattingService.postMessage(messageToSend);
			this.messageText = "";
		}
	}
}
