import {Injectable} from "@angular/core";
import {Observable} from "rxjs/Observable";
import {Subject} from "rxjs/Subject";
import {User, ChatMessage} from "./chat.model";
import {users} from "./usersdata";
import {ChatBotService} from "./chatbot.service";

@Injectable()
export class ChatService {
	chatMessages: ChatMessage[];
	sendNextMessage: Subject<ChatMessage> = new Subject<ChatMessage>();

	constructor(private chatBot: ChatBotService) {
		this.chatBot.messageObservable.subscribe((message: ChatMessage) => {
			this.sendNextMessage.next(message);
		});
	}

	postMessage(message: ChatMessage) {
		this.chatBot.getNextMessage(message.messageText);
	}
}
