import {Injectable} from "@angular/core";
import {Subject} from "rxjs/Subject";
import {Observable} from "rxjs/rx";
import {User, ChatMessage} from "./chat.model";
import {users} from "./usersdata";

@Injectable()
export class ChatBotService {
	private messages: string[];

	private nextMessage: Subject<ChatMessage> = new Subject<ChatMessage>();
	public messageObservable = Observable.from(this.nextMessage);

	constructor() {
		this.messages = [
			"How are you?",
			"My footwear size is 8.",
			"LOL. I am tweeting that now.",
			"Really? Sad to know that.",
			"Hmm....."
		];
	}

	public getNextMessage(messageText: string) {
		if (messageText.toUpperCase() === "BYE") {
			this.sendMessage("Bye");
			this.nextMessage.complete();
			return;
		}

		let messageIndex = Math.floor(Math.random() * 10) % 5;
		setTimeout(() => {
			this.sendMessage(this.messages[messageIndex]);
		}, 1000);
	}

	private sendMessage(responseMessage: string) {
		this.nextMessage.next(
			{
				from: users[1],
				messageText: responseMessage,
				time: new Date()
			});
	}
}
