import {Injectable} from "@angular/core";
import {Observable, Subject} from "rxjs/rx";
import {ChatMessage} from "./chat.model";
import {ChatBotService} from "./chatbot.service";

@Injectable()
export class ChattingService {
	private sendNextMessage: Subject<ChatMessage> = new Subject<ChatMessage>();
	public messageNotifierObservable = Observable.from(this.sendNextMessage);

	constructor(private chatBot: ChatBotService) {
		this.chatBot.messageObservable.subscribe((message: ChatMessage) => {
			this.sendNextMessage.next(message);
		});
	}

	public postMessage(message: ChatMessage) {
		this.chatBot.getNextMessage(message.messageText);
	}
}
