import { Component, OnInit } from "@angular/core";
import { Response, Jsonp, URLSearchParams } from "@angular/http";
import {Observable} from "rxjs/observable";

class Repo {
	name: string;
	html_url: string;
	created_at: Date;
	stargazers_count: number;
	watchers_count: number;
	forks_count: number;
}

@Component({
	selector: "github-data",
	templateUrl: "app/githubdata.component.html"
})
export class GitHubDataComponent implements OnInit {
	repos: Repo[];
	constructor(private jsonp: Jsonp) { }

	ngOnInit() {
		var params = new URLSearchParams();
		params.set("q", "angular+language:javascript");
		params.set("sort", "stars");
		params.set("order", "desc");
		params.set("callback", "JSONP_CALLBACK");

		this.jsonp.get("https://api.github.com/search/repositories", { search: params })
			.subscribe((response) => {
				this.repos = response.json().data.items;
			});
	}
}
