import { Component, OnInit } from "@angular/core";
import {Response} from "@angular/http";
import {Observable} from "rxjs/observable";
import {Router} from "@angular/router";

import { BooksService } from "./books.service";
import { Book } from "./book.model";

@Component({
	selector: "add-book",
	templateUrl: "app/addbook.component.html"
})
export class AddBookComponent {
	public book: Book;
	public model: any = {};

	constructor(private booksSvc: BooksService, private router: Router) {
		this.book = new Book();
	}

	public submit() {
		if (this.book.author && this.book.name) {
			let response: Observable<Response>;

			response = this.booksSvc.addBook(this.book);

			response.subscribe(() => {
				this.book = new Book();
				this.router.navigate(['']);
			});
		}
	}
}
