import {Injectable} from "@angular/core";
import {Http, Response} from "@angular/http";
import {Observable} from "rxjs/observable";
import {Book} from "./book.model";

@Injectable()
export class BooksService {
	private baseUrl: string = "/api/books";

	constructor(private http: Http) { }

	public getBooks(): Observable<Response> {
		return this.http.get(this.baseUrl);
	}

	public addBook(book: Book): Observable<Response> {
		return this.http.post(this.baseUrl, book);
	}

	public deleteBook(id: number): Observable<Response> {
		return this.http.delete(`${this.baseUrl}/${id}`);
	}
}
