import { DebugElement, EventEmitter } from '@angular/core';
import { inject, TestBed, ComponentFixture, async } from '@angular/core/testing';
import { BrowserDynamicTestingModule, platformBrowserDynamicTesting } from '@angular/platform-browser-dynamic/testing';
import { By } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { EmployeeComponent } from './app.component';
import { Employee } from './employee.model';

TestBed.initTestEnvironment(
  BrowserDynamicTestingModule, platformBrowserDynamicTesting());

describe('EmployeeComponent', () => {
  let employee;
  let app;
  let fixture: ComponentFixture<EmployeeComponent>;
  let button: HTMLElement;

  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [FormsModule],
      declarations: [EmployeeComponent],
    });
    fixture = TestBed.createComponent(EmployeeComponent);
    app = fixture.componentInstance;
    fixture.detectChanges(); // trigger initial data binding
  });

  it('should calculate tax when getTax is called', () => {  //Modified the text of it block
    employee = new Employee();
    employee.designation = "Manager";
    employee.salary = 40000;
    app.emp = employee;
    let res = 12000;
    app.emp = employee;
    let actRes = app.getTax();
    expect(actRes).toEqual(res);
  });

  it('should calculate tax when the button is clicked', () => {
    employee = new Employee();
    employee.designation = "Manager";
    employee.salary = 500000;
    app.emp = employee;
    let nativeElement = fixture.nativeElement;
    button = nativeElement.querySelector('button');
    let actEventRes = button.dispatchEvent(new Event('click'));
    fixture.detectChanges();
    expect(nativeElement.querySelector('input[disabled]').value).toEqual('150000');
  });

});