import { DebugElement, EventEmitter } from '@angular/core';
import { inject, TestBed, ComponentFixture, async } from '@angular/core/testing';
import { BrowserDynamicTestingModule, platformBrowserDynamicTesting } from '@angular/platform-browser-dynamic/testing';
import { By } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { Injectable } from '@angular/core';
import { TestComponent } from './app.component';
import { Employee } from './employee.model';
import { TestService } from './testservice'

TestBed.initTestEnvironment(
  BrowserDynamicTestingModule, platformBrowserDynamicTesting());

@Injectable()
class MockTestService {
  constructor() {
    console.log('Mock CaLLED');
    
  }
  getData(): Array<string> {
    console.log('In Fake object');
    let data = ['A', 'B', 'C', 'D', 'E'];
    return data;
  }
  reverseString(name: string): string {
    console.log('In Fake object');
    return 'hsehaM';
  }
}


describe('TestComponent', () => {
  let employee;
  let app: TestComponent;
  let fixture: ComponentFixture<TestComponent>;
  let button: HTMLElement;
  let testServ: any;
  let mockService;

  beforeEach(() => {
    TestBed.configureTestingModule({

      imports: [FormsModule],
      declarations: [TestComponent],
      providers: [{
        provide: TestService, useClass: MockTestService
      }]
    });
    fixture = TestBed.createComponent(TestComponent);
    app = fixture.componentInstance;
    fixture.detectChanges();
    // testServ = fixture.debugElement.injector.get(TestService);
    // testServ = TestBed.get(MockTestService);
    // console.log(testServ);

  });

  it('should get length when method is called',  () => {
    let length = 5;
    //let act = app.getLength();
    // let act = testServ.getData().length;
    let act = app.getLength();
    expect(act).toEqual(length);
  });

  it('should reverse the string', () => {
    let name = 'Mahesh';
    //app.name = name;
    let expected = 'hsehaM';
    //let act = app.reverseName();
    // let act = testServ.reverseString(name);
    app.name = name;
    let act = app.reverseName();
    let nativeElement = fixture.nativeElement;
    button = nativeElement.querySelector('button');
    let actEventRes = button.dispatchEvent(new Event('click'));
    fixture.detectChanges(); // trigger initial data binding
    expect(act).toEqual(expected);
  });
});