import {inject,TestBed,ComponentFixture,async } from '@angular/core/testing';
import { HttpModule,Http, BaseRequestOptions, Response, ResponseOptions, RequestMethod } from '@angular/http';
import { MockBackend, MockConnection } from '@angular/http/testing';
import { BrowserDynamicTestingModule, platformBrowserDynamicTesting } from '@angular/platform-browser-dynamic/testing';
import { By } from '@angular/platform-browser';
import {BooksService} from "./books.service";
TestBed.initTestEnvironment(    
    BrowserDynamicTestingModule, platformBrowserDynamicTesting());

describe('BooService',()=>{
    let options:ResponseOptions;
    let data = [
	{
		"id": 1,
		"name": "The Alchemist",
		"author": "Paulo Coelho",
		"price": 300,
		"publishedYear": 1993
	},
	{
		"id": 2,
		"name": "Harry Porter and Philosopher's Stone",
		"author": "JK Rowling",
		"price": 250,
		"publishedYear": 1997
	},
	{
		"id": 3,
		"name": "The Passionate Programmer",
		"author": "Chad Fowler",
		"price": 280,
		"publishedYear": 2009
	},
	{
		"id": 4,
		"name": "All the Light We Cannot See",
		"author": "Antony Doerr",
		"price": 200,
		"publishedYear": 2014
	},
	{
		"id": 5,
		"name": "The Immortals of Meluha",
		"author": "Amish Tripathi",
		"price": 200,
		"publishedYear": 2010
	}
];


 beforeEach(() => {
  TestBed.configureTestingModule({
		 imports:[HttpModule],
		 providers: [
        {
					//objFactory is replaced by useFactory
          provide: Http, useFactory: (backend, options) => {
            return new Http(backend, options);
          },
          deps: [MockBackend, BaseRequestOptions]
        },
        MockBackend,
        BaseRequestOptions,
        BooksService
      ]
})});
it('should get books',
    async(inject([BooksService, MockBackend],
                 (service: BooksService, 
								 backend: MockBackend) => {

    backend.connections.subscribe((conn: MockConnection) => {
      options = new ResponseOptions(
        {
          body: data
        });
      conn.mockRespond(new Response(options));
    });
		console.log(service);
		
 service.getBooks().subscribe((res:Response) =>{
      expect(res.json()).toEqual(data);
 });

  })));
});
