import { Routes, RouterModule } from '@angular/router';
import {NgModule} from '@angular/core';
import {HttpModule} from '@angular/http';
import {FormsModule} from '@angular/forms';
import {CommonModule} from '@angular/common';

import { AddReviewComponent } from './reviews/addreview.component';
import { ReviewsComponent } from './reviews/reviews.component';
import { ReviewsListComponent } from './reviews/reviewslist.component';
import {BooksComponent} from './books.component';
import {AddBookComponent} from './addbook.component';
import ReviewsModule from './reviews/reviews.module';

export const App_Routes: Routes = [
  { path: '', component: BooksComponent },
  { path: 'addBook', component: AddBookComponent },
  {
    path: 'reviews/:id', loadChildren: () => ReviewsModule
  },
  { path: '**', redirectTo: '', pathMatch: 'full' }
];

export const App_Routing = RouterModule.forRoot(App_Routes);
