import { Component, OnInit } from '@angular/core';
import {Response} from '@angular/http';
import {Observable} from 'rxjs/observable';

import { BooksService } from './books.service';
import { Book } from './book.model';

@Component({
	selector: 'books',
	templateUrl: './books.component.html'
})
export class BooksComponent implements OnInit {
	public books: Book[];
	public book: Book;

	constructor(private booksSvc: BooksService) {
		this.book = new Book();
	}

	public ngOnInit() {
		this.refreshBooks();
	}

	private refreshBooks() {
		this.booksSvc.getBooks().subscribe((response: Response) => {
			this.books = response.json();
		});
	}
}
