import {Injectable} from '@angular/core';
import {Http, Response} from '@angular/http';
import {Observable} from 'rxjs/observable';
import {Book, Review} from './book.model';

@Injectable()
export class BooksService {
	private host: string = "http://localhost:3001";
	private baseUrl: string = `${this.host}/api/books`;

	constructor(private http: Http) { }

	public getBooks(): Observable<Response> {
		return this.http.get(this.baseUrl);
	}

	public getBook(bookId: number): Observable<Response> {
		return this.http.get(`${this.baseUrl}/${bookId}`);
	}

	public addBook(book: Book): Observable<Response> {
		return this.http.post(this.baseUrl, book);
	}

	public deleteBook(id: number): Observable<Response> {
		return this.http.delete(`${this.baseUrl}/${id}`);
	}

	public addReview(id: number, review: Review) {
		return this.http.post(`${this.host}/api/addreview/${id}`, review);
	}
}
