import { Component, OnInit } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { BooksService } from '../books.service';
import { Book, Review } from '../book.model';

@Component({
	selector: 'add-review',
	templateUrl: './addreview.component.html'
})
export class AddReviewComponent implements OnInit {
	bookId: number;
	review: Review;

	constructor(private bookSvc: BooksService, private activeRoute: ActivatedRoute, private router: Router) {
	}

	ngOnInit() {
		this.review = new Review();
		this.activeRoute.parent.params.subscribe((queryParams) => {
			this.bookId = +queryParams['id'];
		});
	}

	addReview() {
		this.activeRoute.parent.params.subscribe((queryParams) => {
			this.bookId = +queryParams['id'];
			this.bookSvc.addReview(this.bookId, this.review)
				.subscribe((response) => {
					this.router.navigate(['/reviews', this.bookId]);
				}, (error) => {
					console.log(error);
				});
		});
	}
}
