import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';

import { BooksService } from '../books.service';
import { Book, Review } from '../book.model';
import { SampleService } from '../sample.service';

@Component({
	selector: 'reviews-list',
	templateUrl: './reviewslist.component.html'
})
export class ReviewsListComponent implements OnInit {
	book: Book;
	reviews: Review[];

	constructor(private route: ActivatedRoute, private router: Router, private booksSvc: BooksService, private sampleSvc: SampleService) {
		//console.log(this.route.routerState.parent(this.route));
	}

	public ngOnInit() {
		this.route.parent.params.subscribe((queryParams) => {
			let bookId: number = +queryParams['id'];
			this.booksSvc.getBook(bookId)
				.subscribe((response) => {
					this.book = response.json();
					this.reviews = this.book.reviews;
				});
		});
	}

}