import { Component, OnInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';

import { BooksService } from '../books.service';
import { Book, Review } from '../book.model';

@Component({
	selector: 'reviews-list',
	templateUrl: 'app/reviews/reviewslist.component.html'
})
export class ReviewsListComponent implements OnInit {
	book: Book;
	reviews: Review[];

	constructor(private activeRoute: ActivatedRoute, private router: Router, private booksSvc: BooksService) {

	}

	public ngOnInit() {

		this.activeRoute.parent.params.subscribe((parameters) => {
			let bookId: number = +parameters['id'];
			this.booksSvc.getBook(bookId)
				.subscribe((response) => {
					this.book = response.json();
					this.reviews = this.book.reviews;
				});
		});
	}

}
