import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { LoginService } from './login/login.service';

@Component({
  selector: 'app',
  templateUrl: 'app/app.component.html'
})
export class AppComponent {
  constructor(private router: Router, private loginService: LoginService) { }

  get authText() {
    return this.loginService.isLoggedIn ? 'Logout' : 'Login';
  }

  loginOrLogout() {
    if (this.loginService.isLoggedIn) {
      this.loginService.logout();
    }
    else {
      this.router.navigate(['/signin']);
    }
  }
}
