import { Routes, RouterModule } from '@angular/router';
import { BooksComponent } from './books.component';
import { AddBookComponent } from './addbook.component';
import { LoginComponent } from './login/login.component';
import { AuthGuard } from './login/auth.guard';

export const App_Routes: Routes = [
  { path: '', component: BooksComponent },
  { path: 'signin', component: LoginComponent },
  { path: 'addBook', component: AddBookComponent, canActivate: [AuthGuard] },
  { path: 'reviews/:id', loadChildren: '/app/reviews/reviews.module' },
  { path: '**', redirectTo: '', pathMatch: 'full' }
];

export const App_Routing = RouterModule.forRoot(App_Routes);
