import { Injectable } from '@angular/core';
import { Http, Response } from '@angular/http';
import { Observable } from 'rxjs/observable';
import { LoginService } from './login/login.service';
import { Book, Review } from './book.model';

@Injectable()
export class BooksService {
  private baseUrl: string = '/api/books';

  constructor(private http: Http, private loginService: LoginService) { }

  public getBooks(): Observable<Response> {
    return this.http.get(this.baseUrl);
  }

  public getBook(bookId: number): Observable<Response> {
    return this.http.get(`${this.baseUrl}/${bookId}`);
  }

  public addBook(book: Book): Observable<Response> {
    return this.http.post(this.baseUrl, book, { headers: this.loginService.httpHeaders });
  }

  public addReview(id: number, review: Review) {
    return this.http.post(`/api/addreview/${id}`, review, { headers: this.loginService.httpHeaders });
  }
}
