import { Component } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { Response } from '@angular/http';

import { BooksService } from '../books.service';
import { Book, Review } from '../book.model';

@Component({
	selector: 'reviews',
	templateUrl: 'app/reviews/reviews.component.html'
})
export class ReviewsComponent {
	book: Book;

	constructor(private route: ActivatedRoute, private booksSvc: BooksService, private router: Router) {
		this.book = new Book();
		this.book.id = 0;
	}

	ngOnInit() {
		this.route.params.subscribe((queryParams) => {
			let bookId: number = parseInt(queryParams['id']);
			this.booksSvc.getBook(bookId)
				.subscribe((response: Response) => {
					this.book = response.json();
				});
		});
	}

}
