import { Routes, RouterModule } from '@angular/router';
import { AddReviewComponent } from './addreview.component';
import { ReviewsComponent } from './reviews.component';
import { ReviewsListComponent } from './reviewslist.component';
import { BooksService } from '../books.service';
import { AuthGuard } from '../login/auth.guard';

export const Reviews_Routes: Routes = [
  {
    path: '',
    component: ReviewsComponent,
    children: [
      { path: 'view', component: ReviewsListComponent },
      { path: 'add', component: AddReviewComponent, canActivate: [AuthGuard] },
      { path: '', redirectTo: 'view' }
    ]
  }
];

const Reviews_Routing = RouterModule.forChild(Reviews_Routes);

export { Reviews_Routing };