import { Item, Order, orders } from "./orders.data";
import { Component, Input, Output, EventEmitter, OnChanges } from '@angular/core';

@Component({
  selector: "order-details",
  templateUrl: "app/orderdetails.component.html"
})
export class OrderDetailsComponent implements OnChanges {
	@Input()
	order: Order;

	@Output()
	close = new EventEmitter();

  public itemsInSelectedOrder: Item[];

  constructor() {
  }

	public closeDetails() {
		this.close.emit(null);
	}

	public ngOnChanges(changes) {
		if(this.order){
			this.itemsInSelectedOrder = this.order.getItemsOrdered();
		}
		else{
			this.itemsInSelectedOrder = null;
		}
	}
}