interface ItemInOrder {
    itemId: string,
    count: number
}

export interface Item {
    itemId: string;
    name: string;
    unitPrice: number;
    category: string;
}

export class Order {

    constructor(public orderId: number,
        public orderDate: string,
        public delivered: boolean,
        public deliveryDate: string,
        public items: ItemInOrder[]) { }

    get DeliveryStatus(): string {
        return this.delivered ? "Yes" : "No";
    }

    totalPrice(): number {
        var totalPrice: number = 0;
        for (let itemOrdered of this.items) {
            for (var item of items) {
                if (item.itemId === itemOrdered.itemId) {
                    totalPrice += item.unitPrice * itemOrdered.count;
                    break;
                }
            }
        }

        return totalPrice;
    }

    getItemsOrdered(): Item[] {
        var itemsOrdered: Item[] = [];

        for (let itemOrdered of this.items) {
            for (var item of items) {
                if (item.itemId === itemOrdered.itemId) {
                    itemsOrdered.push(item);
                    break;
                }
            }
        }

        return itemsOrdered;
    }
}

var items: Item[] = [];
items.push({ itemId: "I001", name: "Trimmer", unitPrice: 1700, category: "Cosmetics" });
items.push({ itemId: "I002", name: "Chili powder", unitPrice: 50, category: "Food" });
items.push({ itemId: "I003", name: "Head phone", unitPrice: 2000, category: "Electronics" });
items.push({ itemId: "I004", name: "Coffee Maker", unitPrice: 500, category: "Kitchen" });
items.push({ itemId: "I005", name: "T-Shirt", unitPrice: 1000, category: "Clothing" });
items.push({ itemId: "I006", name: "Shampoo", unitPrice: 200, category: "Cosmetics" });
items.push({ itemId: "I007", name: "Mango", unitPrice: 60, category: "Food" });
items.push({ itemId: "I008", name: "Bluetooth Mouse", unitPrice: 2500, category: "Electronics" });
items.push({ itemId: "I009", name: "Vegetable Chopper", unitPrice: 500, category: "Kitchen" });
items.push({ itemId: "I010", name: "Leather Jacket", unitPrice: 10000, category: "Clothing" });
items.push({ itemId: "I011", name: "Tooth Brush", unitPrice: 100, category: "Cosmetics" });
items.push({ itemId: "I012", name: "Tea Dust", unitPrice: 100, category: "Food" });
items.push({ itemId: "I013", name: "Selfie Stick", unitPrice: 5000, category: "Electronics" });
items.push({ itemId: "I014", name: "Mixer Grinder", unitPrice: 4500, category: "Kitchen" });
items.push({ itemId: "I015", name: "Formal Shirt", unitPrice: 1500, category: "Clothing" });

export var orders: Order[] = [];

orders.push(new Order(1,
    "20-04-2016",
    true,
    "22-04-2016",
    [{ itemId: "I001", count: 1 },
        { itemId: "I005", count: 2 },
        { itemId: "I013", count: 1 },
        { itemId: "I007", count: 3 }]
));

orders.push(new Order(
    2,
    "21-04-2016",
    true,
    "24-04-2016",
    [{ itemId: "I002", count: 1 },
        { itemId: "I015", count: 1 },
        { itemId: "I004", count: 1 },
        { itemId: "I006", count: 1 }]
));

orders.push(new Order(
    3,
    "22-04-2016",
    true,
    "22-04-2016",
    [{ itemId: "I009", count: 1 },
        { itemId: "I010", count: 2 },
        { itemId: "I008", count: 1 }]
));

orders.push(new Order(
    4,
    "24-04-2016",
    true,
    "27-04-2016",
    [{ itemId: "I011", count: 1 },
        { itemId: "I003", count: 2 },
        { itemId: "I015", count: 1 }]
));

orders.push(new Order(
    5,
    "25-04-2016",
    true,
    "26-04-2016",
    [{ itemId: "I009", count: 1 },
        { itemId: "I010", count: 2 },
        { itemId: "I012", count: 1 },
        { itemId: "I007", count: 3 }]
));

